Summary:	grandr - GTK+ application to configure RandR
Summary(pl.UTF-8):	grandr - aplikacja GTK+ do konfiguracji RandR
Name:		xorg-app-grandr
Version:	0.1
Release:	3
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/grandr-%{version}.tar.bz2
# Source0-md5:	e265c8e89aab39c55cb24ad8230c3933
Patch0:		%{name}-gconf.patch
Patch1:		%{name}-fix-crash-on-inactive-display.patch
Patch2:		gthread.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	glib2-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXrandr-devel >= 1.2
BuildRequires:	xorg-util-util-macros >= 0.99.2
Requires:	xorg-lib-libXrandr >= 1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
grandr - GTK+ application to configure RandR.

%description -l pl.UTF-8
grandr - aplikacja GTK+ do konfiguracji RandR.

%prep
%setup -q -n grandr-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/grandr
%changelog
* Fri Dec 06 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-grandr.git;a=log;h=master

* Fri Dec 06 2013 Jan Rękorajski <baggins@pld-linux.org> 669f14c
- fix building with current gtk+/glib set
- rel 3

* Thu Aug 21 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c888d2f
- rel.2, patch:fix-crash-on-inactive-display, STBR

* Thu Aug 21 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 93464ff
- fix-crash-on-inactive-display

* Thu Jun 21 2007 deejay1 <deejay1@pld-linux.org> 6df4fe0
- applied patch from upstream (fixes segfault on startup)
- rel. 1

* Thu Jun 21 2007 deejay1 <deejay1@pld-linux.org> e3ff68c
- added patch from upstream
- "fixes a segfault at startup when no gconf value is set"

* Wed Jun 20 2007 Jakub Bogusz <qboosh@pld-linux.org> 17455c2
- new (but only crashes for me)

